.TH "mca_btl_llc_component_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_btl_llc_component_t \- Infiniband (LLC) BTL component.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <btl_llc.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBmca_btl_base_component_1_0_0_t\fP \fBsuper\fP"
.br
.RI "\fIbase BTL component \fP"
.ti -1c
.RI "uint32_t \fBllc_num_btls\fP"
.br
.RI "\fInumber of hcas available to the LLC component \fP"
.ti -1c
.RI "\fBmca_btl_llc_module_t\fP ** \fBllc_btls\fP"
.br
.RI "\fIarray of available BTL modules \fP"
.ti -1c
.RI "\fBmca_btl_llc_proc_t\fP * \fBllc_local\fP"
.br
.RI "\fIlocal proc struct \fP"
.ti -1c
.RI "int \fBllc_free_list_num\fP"
.br
.RI "\fIinitial size of free lists \fP"
.ti -1c
.RI "int \fBllc_free_list_max\fP"
.br
.RI "\fImaximum size of free lists \fP"
.ti -1c
.RI "int \fBllc_free_list_inc\fP"
.br
.RI "\fInumber of elements to alloc when growing free lists \fP"
.ti -1c
.RI "opal_hash_table_t \fBllc_procs\fP"
.br
.RI "\fIhash table of llc proc structures \fP"
.ti -1c
.RI "\fBopal_list_t\fP \fBllc_events\fP"
.br
.RI "\fIlist of pending llc events \fP"
.ti -1c
.RI "\fBopal_mutex_t\fP \fBllc_lock\fP"
.br
.RI "\fIlock for accessing module state \fP"
.ti -1c
.RI "opal_event_t \fBllc_recv_event\fP"
.br
.RI "\fIrecv event for listen socket \fP"
.ti -1c
.RI "int \fBllc_listen_sd\fP"
.br
.RI "\fIlisten socket for incoming connection requests \fP"
.ti -1c
.RI "unsigned short \fBllc_listen_port\fP"
.br
.RI "\fIlisten port \fP"
.ti -1c
.RI "char * \fBllc_if_include\fP"
.br
.RI "\fIcomma seperated list of interface to include \fP"
.ti -1c
.RI "char * \fBllc_if_exclude\fP"
.br
.RI "\fIcomma seperated list of interface to exclude \fP"
.ti -1c
.RI "int \fBllc_sndbuf\fP"
.br
.RI "\fIsocket sndbuf size \fP"
.ti -1c
.RI "int \fBllc_rcvbuf\fP"
.br
.RI "\fIsocket rcvbuf size \fP"
.ti -1c
.RI "ompi_free_list_t \fBllc_frag_eager\fP"
.br
.ti -1c
.RI "ompi_free_list_t \fBllc_frag_max\fP"
.br
.ti -1c
.RI "ompi_free_list_t \fBllc_frag_user\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
Infiniband (LLC) BTL component. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
